View Issue Details

IDProjectCategoryView StatusLast Update
0001919XdebugCode Coveragepublic2021-01-05 08:20
Reportermwijngaard Assigned Toderick  
PrioritynormalSeveritymajorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.0.1 
Target Version3.0devFixed in Version3.0.2 
Summary0001919: Crash when enabling filter without the right mode active
DescriptionWhen running xdebug in just debug mode (no coverage or tracing) and using xdebug_set_filter. A segfault is generated when a file is included that does not pass the filter.

I guess this would be solved by 0001800, but it probably should not segfault anyway.
Steps To ReproduceAdd the two files to the same folder and run test1.php with xdebug in debug mode.
TagsNo tags attached.
Operating System
PHP Version8.0.0-8.0.4

Activities

mwijngaard

2020-12-18 14:57

reporter  

test1.php (188 bytes)   
<?php

if (function_exists('xdebug_set_filter')) {
	xdebug_set_filter(XDEBUG_FILTER_CODE_COVERAGE, XDEBUG_PATH_INCLUDE, [
		__DIR__ . '/foo/',
	]);
}

include_once __DIR__ . '/test2.php';
test1.php (188 bytes)   
test2.php (20 bytes)   
<?php

echo $i = 0;
test2.php (20 bytes)   

mwijngaard

2020-12-18 14:59

reporter   ~0005601

Sorry, PHP version was 7.4.13 not 8

mwijngaard

2021-01-05 08:20

reporter   ~0005635

Thanks a lot Derick!

Issue History

Date Modified Username Field Change
2020-12-18 14:57 mwijngaard New Issue
2020-12-18 14:57 mwijngaard File Added: test1.php
2020-12-18 14:57 mwijngaard File Added: test2.php
2020-12-18 14:59 mwijngaard Note Added: 0005601
2020-12-23 12:08 derick Status new => confirmed
2020-12-23 12:08 derick Target Version => 3.0dev
2020-12-23 12:08 derick Summary xdebug_set_filter causes segfault when coverage is not enabled => Crash when enabling filter without the right mode active
2020-12-23 18:44 derick Assigned To => derick
2020-12-23 18:44 derick Status confirmed => closed
2020-12-23 18:44 derick Resolution open => fixed
2020-12-23 18:44 derick Fixed in Version => 3.0.2
2021-01-05 08:20 mwijngaard Note Added: 0005635